Editor ed = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor; Autodesk.AutoCAD.DatabaseServices.TypedValue[] tv = new TypedValue[1]; tv[0]=new TypedValue(0,"POLYLINE"); Autodesk.AutoCAD.EditorInput.SelectionFilter sf = new SelectionFilter(tv);  romptSelectionOptions opts =new PromptSelectionOptions(); opts.AllowDuplicates = true; opts.MessageForAdding="请选择一条等高线:";  romptSelectionResult res = ed.GetSelection(opts,sf); if(res.Status!=PromptStatus.OK) return; Autodesk.AutoCAD.EditorInput.SelectionSet ss = res.Value; ObjectId[] oids = ss.GetObjectIds(); for(int i=0;i<oids.Length;i++) { ed.WriteMessage("\n"+oids.ToString()); } 以上代码想实现只选择多段线,但是却选不到多段线。是什么问题呢?? |